#ifndef TEST_DEFAULTS_HPP
#define TEST_DEFAULTS_HPP

#include <cstdint>
#include <netinet/in.h>
#include <filesystem>

namespace fs = std::filesystem;

namespace defaults {

extern const char* progname;
extern const bool daemonize;
extern const bool use_syslog;
extern const bool use_console;
extern const fs::path log_file;
extern const uint32_t log_file_max_size;
extern const char* transport_protocol;
extern const char* bind_address;
extern const in_port_t remote_port;
extern const char* pidfile;
extern const uint32_t workers_in_pool;
extern const char* staging_directory;
extern const uint32_t backlog_size;
extern const char* config_file;

} // namespace defaults

#endif /* TEST_DEFAULTS_HPP */
