#ifndef TEST_PARSERS_HPP
#define TEST_PARSERS_HPP

#include <cstdint>
#include <string>
#include <filesystem>

namespace fs = std::filesystem;

namespace parsers {

bool
parse_bool(const std::string& name, const std::string& value);
uint32_t
parse_number(const std::string& name, const std::string& value);
fs::path
parse_path(const std::string& name, const std::string& value);
fs::path
parse_existing_path(const std::string& name, const std::string& value);
uint64_t
parse_capacity(const std::string& name, const std::string& value);

} // namespace parsers

#endif // TEST_PARSERS_HPP
